OpenVDB 13.0.0

Loading...
Searching...
No Matches
TreeTraits< TreeT > Struct Template Reference

Useful traits for Tree types. More...

`#include <openvdb/tree/LeafManager.h>`

## Public Types
using | LeafIterType = typename TreeT::LeafIter

## Static Public Attributes
static const bool | IsConstTree = false

## Detailed Description

template<typename TreeT>
struct openvdb::v13_0::tree::leafmgr::TreeTraits< TreeT >

Useful traits for Tree types.

## Member Typedef Documentation

## ◆ LeafIterType

template<typename TreeT>

using LeafIterType = typename TreeT::LeafIter

## Member Data Documentation

## ◆ IsConstTree

template<typename TreeT>

const bool IsConstTree = false
| static